| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::PagedWorldSectionFactory Class Referenceabstract
Optional Components » Paging

A factory class for creating types of world section. More...

`#include <OgrePagedWorldSection.h>`

Inheritance diagram for Ogre::PagedWorldSectionFactory:
[legend]

## Public Member Functions
virtual | ~PagedWorldSectionFactory ()
virtual PagedWorldSection * | createInstance (const String &name, PagedWorld *parent, SceneManager *sm)=0
virtual void | destroyInstance (PagedWorldSection *)=0
virtual const String & | getName () const =0

## Detailed Description

A factory class for creating types of world section.

## Constructor & Destructor Documentation

## ◆ ~PagedWorldSectionFactory()

virtual Ogre::PagedWorldSectionFactory::~PagedWorldSectionFactory | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ getName()

virtual const String& Ogre::PagedWorldSectionFactory::getName | ( |  | ) | const
| pure virtual

## ◆ createInstance()

virtual PagedWorldSection* Ogre::PagedWorldSectionFactory::createInstance | ( | const String & | name,
|  | PagedWorld * | parent,
|  | SceneManager * | sm
| ) |  |
| pure virtual

## ◆ destroyInstance()

virtual void Ogre::PagedWorldSectionFactory::destroyInstance | ( | PagedWorldSection * |  | ) |
| pure virtual

The documentation for this class was generated from the following file:

- OgrePagedWorldSection.h